SDL_GPUStencilOpState(3type)

NAME
SDL_GPUStencilOpState - A structure specifying the stencil operation state of a graphics pipeline.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUStencilOpState
{
    SDL_GPUStencilOp fail_op;        /**< The action performed on samples that fail the stencil test. */
    SDL_GPUStencilOp pass_op;        /**< The action performed on samples that pass the depth and stencil tests. */
    SDL_GPUStencilOp depth_fail_op;  /**< The action performed on samples that pass the stencil test and fail the depth test. */
    SDL_GPUCompareOp compare_op;     /**< The comparison operator used in the stencil test. */
} SDL_GPUStencilOpState;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_GPUDepthStencilState(3type)